The Red Hat SAP HANA System Replication HA solution currently supports the following scenarios

 

  • On RHEL6 SAP HANA SPS8, SPS9, and SPS10 are supported by minimum version: resource-agents-sap-hana-3.9.5-24.el6_7.1.x86_64
  • On RHEL6 SAP HANA SPS11 and SPS12 are supported by minimum version: resource-agents-sap-hana-3.9.5-34.el6.x86_64 (RHEL6)
  • On RHEL7 SAP HANA SPS12 is supported by minimum version: resource-agents-sap-hana-3.9.5-54.el7_2.16.x86_64
    (older SAP HANA SPSs are not supported by SAP on RHEL7)
  • SAP HANA Scale-Up (single-box to single-box) System Replication only, currently no production support for HANA Scale-Out SR or HANA SR installations configured with a standby node
  • Having a second SAP HANA system (like QAS or TST) running on the replicating node (“Cost-Optimized” scenario) which needs to be stopped during takeover is possible. Additional changes to the SAP HANA configuration outside of the cluster are necessary, that are not in the scope of Red Hat Support.
    As a starting point for such a setup please have a look at HOW TO SET UP SAPHanaSR IN THE COST OPTIMIZED SAP HANA SR SCENARIO – PART I – Additional Topics – SCN Wiki
  • “Multitier System Replication”/”replication chains” are possible, but the tertiary site can not be managed by the cluster. The resource agent is able to detect if Multitier System Replication is configured but it will not act in this case. Please be very careful to not end in an unsupported configuration for the HANA System Replication (star topology)
  • SAP HANA System Replication “Multiple components One Database (MCOD)” or “Multiple Database Containers (MDC)” (S/4HANA On Premise System Architecture options | SCN) setups are supported by minimum version resource-agents-sap-hana-3.9.5-34.el6.x86_64 (RHEL6) or resource-agents-sap-hana-3.9.5-54.el7_2.16.x86_64 (RHEL7)
  • The MCOS setup requires that all databases running on the primary host are replicated and the replication is always to the same secondary node. It’s supported by minimum version resource-agents-sap-hana-3.9.5-24.el6_7.1.x86_64 (RHEL6) or resource-agents-sap-hana-3.9.5-54.el7_2.6.x86_64 (RHEL7)

 

 

Useful Documentation

To report this post you need to login first.

Be the first to leave a comment

You must be Logged on to comment or reply to a post.

Leave a Reply